<?php declare(strict_types=1);

namespace App\Http\Middleware;

use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

final class UserIsActive
{
    public function handle(Request $request, \Closure $next)
    {
        if ($request->user()->is_active === false) {
            \abort(Response::HTTP_FORBIDDEN, 'User disabled');
        }

        return $next($request);
    }
}
