@section('meta_title', __('Log In'))
@section('h1', __('Log In'))

<x-layout.site>
    <form action="{{ route('authorization') }}" method="post">
        @csrf
        <x-site.forms.input :title="__('validation.attributes.email')" name="email" type="email" placeholder="example@company.com" value="" autofocus required />
        <x-site.forms.input :title="__('validation.attributes.password')" name="password" type="password" value="" required />
        <x-site.forms.checkbox :title="__('validation.attributes.remember')" name="remember" checkboxValue="1" />

        @if($captcha)
            <div class="form-block">
                @captcha
                @error('captcha-verified')
                    <span class="invalid-feedback">{{ $message }}</span>
                @enderror
            </div>
        @endif
        <div class="form-block">
            <button class="button" type="submit">{{ __('Log In') }}</button>
        </div>
    </form>
</x-layout.site>
