<?php

use Illuminate\Support\Facades\Route;

Route::get('/', [\App\Http\Controllers\Site\HomeController::class, 'index'])->name('home');

Route::middleware('guest')->group(function () {
    Route::get('login', [\App\Http\Controllers\AuthController::class, 'login'])->name('login');
    Route::middleware(['throttle:login'])->post('login', [\App\Http\Controllers\AuthController::class, 'authorization'])->name('authorization');
});

Route::middleware(['auth', 'verified'])->group(function () {
    Route::post('logout', [\App\Http\Controllers\AuthController::class, 'logout'])->name('logout');
});

Route::middleware(['web', 'auth', 'verified', \App\Http\Middleware\UserIsActive::class])
    ->group(function () {
        Route::prefix('profile')->as('profile.')->group(function () {
            Route::get('/', [\App\Http\Controllers\Site\ProfileController::class, 'profile'])->name('edit');
            Route::put('/', [\App\Http\Controllers\Site\ProfileController::class, 'update'])->name('update');
            Route::put('password', [\App\Http\Controllers\Site\ProfileController::class, 'updatePassword'])->name('update-password');
            Route::get('settings', [\App\Http\Controllers\Site\ProfileController::class, 'settings'])->name('settings');
            Route::put('settings', [\App\Http\Controllers\Site\ProfileController::class, 'updateSettings'])->name('update-settings');
        });
    });
